Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hsqldb
Class Profile

    java.lang.Object
      |
      +--org.hsqldb.Profile

public class Profile
extends Object

Inner Class Summary
`(package private) class` | Profile.File

Field Summary
`(package private) boolean` | `bStop`
`(package private) boolean` | `bVisited`
`(package private) org.hsqldb.Profile.File` | `fLastFile`
`(package private) java.util.Hashtable` | `hash`
`(package private) int` | `iLastLine`
`(package private) long` | `lLastTime`
`(package private) static org.hsqldb.Profile` | `main`
`(package private) final static int` | `PERCALL`
`(package private) final static int` | `TIME`
`(package private) final static int` | `TOP`
`(package private) final static int` | `VISIT`

Constructor Summary
`Profile()`

Method Summary
`static void` | `listUnvisited()`
`(package private) void` | `m_listUnvisited()`
`(package private) void` | `m_visit(java.lang.String , int , int )`
`(package private) void` | `print(java.lang.String )`
`(package private) void` | `printHigh(java.lang.String , int )`
`(package private) void` | `printline(char )`
`(package private) void` | `printTimePerFile()`
`static void` | `visit(java.lang.String , int , int )`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, toString, notify, notifyAll, wait, wait, wait`

Field Detail

### bStop

    boolean bStop

### bVisited

    boolean bVisited

### fLastFile

    org.hsqldb.Profile.File fLastFile

### hash

    java.util.Hashtable hash

### iLastLine

    int iLastLine

### lLastTime

    long lLastTime

### main

    static org.hsqldb.Profile main

### PERCALL

    final static int PERCALL

### TIME

    final static int TIME

### TOP

    final static int TOP

### VISIT

    final static int VISIT

Constructor Detail

### Profile

    public Profile()

Method Detail

### listUnvisited

    public static void listUnvisited()

### m_listUnvisited

    void m_listUnvisited()

### m_visit

    void m_visit(java.lang.String , int , int )

### print

    void print(java.lang.String )

### printHigh

    void printHigh(java.lang.String , int )

### printline

    void printline(char )

### printTimePerFile

    void printTimePerFile()

### visit

    public static void visit(java.lang.String , int , int )

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD